Subject: Re: Freeze in perl script after cygwin upgrade 1.5.17 -> 1.5.18
From: Volker Quetschke <[email-masked]>
To: [email-masked]
Cc: Volker Quetschke <[email-masked]>
Date: Mon, 04 Jul 2005 19:12:33 -0400

Volker Quetschke wrote:
> This is the perl script that works with the 1.5.17 cygwin dll and
> hangs with  1.5.18:
> 
> -- snip perltest.pl --
> #!/bin/perl
> 
> $extracmd='';
> #$extracmd='sleep 1 && ';
> $systemcall=$extracmd.'makecab.exe /V3 /F 
> d:/w1/SRC680_m113/instsetoo_native/wntmsci10.pro/OpenOffice/ddf/en-US/openofficeorg1.ddf 
> 2>&1 |';
> 
> open (DDF, "$systemcall") || die "can't run $!";
> print("Started\n");
> while (<DDF>) { print("Output:".$_.":\n"); }
> close (DDF);
> -- snap perltest.pl --
> 
> This is obviously not a self-contained testcase, as this script is 
> ripped out
> of the final parts of the openoffice build script. I can try to produce 
> a self
> contained example later.
OK, I could condense the problem to a 75k zipped testcase (It is still the 11 lines
perl file that hangs). See here:
<http://www.openoffice.org/nonav/issues/showattachment.cgi/27695/perlfreeze.zip>

It is a standalone testcase, unfortunately it depends on the absolute path
it resides in. To reproduce unpack perlfreeze.zip to d: and then
do:
$ cd /cygdrive/d/perlfreeze
$ ./perltest.pl

and see it hang. (In rxvt/bash)

I could not condense the testcase any further, when I remove more
lines from openofficeorg_q4.ddf the error vanishes.

   Volker

P.S: If you cannot unpack to d: choose a different location and change
openofficeorg_q4.ddf accordingly.

-- 
PGP/GPG key  (ID: 0x9F8A785D)  available  from  wwwkeys.de.pgp.net
key-fingerprint 550D F17E B082 A3E9 F913  9E53 3D35 C9BA 9F8A 785D